List affiliate claims
Claims for an affiliate.
GET
/
v1
/
affiliates
/
{affiliateId}
/
claims
List affiliate claims
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"claims": [
{
"id": "<string>",
"affiliateId": "<string>",
"amount": "<string>",
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutChain": "arbitrum",
"payoutAsset": "<string>",
"payoutAddress": "<string>",
"status": "processing",
"txHash": "<string>",
"relayRequestId": "<string>",
"operationId": "<string>",
"errorMessage": "<string>",
"nextAttemptAt": "<string>",
"attempts": 123,
"createdAt": "<string>",
"completedAt": "<string>"
}
],
"nextOffset": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Path Parameters
Minimum string length:
1Query Parameters
Minimum string length:
1Minimum string length:
1Required range:
1 <= x <= 200Required range:
x >= 0Was this page helpful?
⌘I
List affiliate claims
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"claims": [
{
"id": "<string>",
"affiliateId": "<string>",
"amount": "<string>",
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutChain": "arbitrum",
"payoutAsset": "<string>",
"payoutAddress": "<string>",
"status": "processing",
"txHash": "<string>",
"relayRequestId": "<string>",
"operationId": "<string>",
"errorMessage": "<string>",
"nextAttemptAt": "<string>",
"attempts": 123,
"createdAt": "<string>",
"completedAt": "<string>"
}
],
"nextOffset": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}